<?php

    $indoor_sports_zone_theme_css= "";

    /*--------------------------- Scroll to top positions -------------------*/

    $indoor_sports_zone_scroll_position = get_theme_mod( 'indoor_sports_zone_scroll_top_position','Right');
    if($indoor_sports_zone_scroll_position == 'Right'){
        $indoor_sports_zone_theme_css .='#button{';
            $indoor_sports_zone_theme_css .='right: 20px;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_scroll_position == 'Left'){
        $indoor_sports_zone_theme_css .='#button{';
            $indoor_sports_zone_theme_css .='left: 20px;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_scroll_position == 'Center'){
        $indoor_sports_zone_theme_css .='#button{';
            $indoor_sports_zone_theme_css .='right: 50%;left: 50%;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Single Post Page Image Box Shadow -------------------*/

    $indoor_sports_zone_single_post_page_image_box_shadow = get_theme_mod('indoor_sports_zone_single_post_page_image_box_shadow',0);
    if($indoor_sports_zone_single_post_page_image_box_shadow != false){
        $indoor_sports_zone_theme_css .='.single-post .entry-header img{';
            $indoor_sports_zone_theme_css .='box-shadow: '.esc_attr($indoor_sports_zone_single_post_page_image_box_shadow).'px '.esc_attr($indoor_sports_zone_single_post_page_image_box_shadow).'px '.esc_attr($indoor_sports_zone_single_post_page_image_box_shadow).'px #cccccc;';
        $indoor_sports_zone_theme_css .='}';
    }

     /*--------------------------- Single Post Page Image Border Radius -------------------*/

    $indoor_sports_zone_single_post_page_image_border_radius = get_theme_mod('indoor_sports_zone_single_post_page_image_border_radius', 0);
    if($indoor_sports_zone_single_post_page_image_border_radius != false){
        $indoor_sports_zone_theme_css .='.single-post .entry-header img{';
            $indoor_sports_zone_theme_css .='border-radius: '.esc_attr($indoor_sports_zone_single_post_page_image_border_radius).'px;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Footer background image -------------------*/

    $indoor_sports_zone_footer_bg_image = get_theme_mod('indoor_sports_zone_footer_bg_image');
    if($indoor_sports_zone_footer_bg_image != false){
        $indoor_sports_zone_theme_css .='#colophon{';
            $indoor_sports_zone_theme_css .='background: url('.esc_attr($indoor_sports_zone_footer_bg_image).')!important;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Footer Background Image Position -------------------*/

    $indoor_sports_zone_footer_bg_image_position = get_theme_mod( 'indoor_sports_zone_footer_bg_image_position','scroll');
    if($indoor_sports_zone_footer_bg_image_position == 'fixed'){
        $indoor_sports_zone_theme_css .='#colophon{';
            $indoor_sports_zone_theme_css .='background-attachment: fixed !important; background-position: center !important;';
        $indoor_sports_zone_theme_css .='}';
    }elseif ($indoor_sports_zone_footer_bg_image_position == 'scroll'){
        $indoor_sports_zone_theme_css .='#colophon{';
            $indoor_sports_zone_theme_css .='background-attachment: scroll !important; background-position: center !important;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Footer Widget Heading Alignment -------------------*/

    $indoor_sports_zone_footer_widget_heading_alignment = get_theme_mod( 'indoor_sports_zone_footer_widget_heading_alignment','Left');
    if($indoor_sports_zone_footer_widget_heading_alignment == 'Left'){
        $indoor_sports_zone_theme_css .='#colophon h5, h5.footer-column-widget-title{';
        $indoor_sports_zone_theme_css .='text-align: left;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_footer_widget_heading_alignment == 'Center'){
        $indoor_sports_zone_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $indoor_sports_zone_theme_css .='text-align: center;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_footer_widget_heading_alignment == 'Right'){
        $indoor_sports_zone_theme_css .='#colophon h5, h5.footer-column-widget-title{';
            $indoor_sports_zone_theme_css .='text-align: right;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Footer Widget Content Alignment -------------------*/

    $indoor_sports_zone_footer_widget_content_alignment = get_theme_mod( 'indoor_sports_zone_footer_widget_content_alignment','Left');
    if($indoor_sports_zone_footer_widget_content_alignment == 'Left'){
        $indoor_sports_zone_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
        $indoor_sports_zone_theme_css .='text-align: left;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_footer_widget_content_alignment == 'Center'){
        $indoor_sports_zone_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $indoor_sports_zone_theme_css .='text-align: center;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_footer_widget_content_alignment == 'Right'){
        $indoor_sports_zone_theme_css .='#colophon ul, #colophon p, .tagcloud, .widget{';
            $indoor_sports_zone_theme_css .='text-align: right;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*--------------------------- Copyright Content Alignment -------------------*/

    $indoor_sports_zone_copyright_content_alignment = get_theme_mod( 'indoor_sports_zone_copyright_content_alignment','Center');
    if($indoor_sports_zone_copyright_content_alignment == 'Left'){
        $indoor_sports_zone_theme_css .='.footer-menu-left{';
        $indoor_sports_zone_theme_css .='text-align: left;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_copyright_content_alignment == 'Center'){
        $indoor_sports_zone_theme_css .='.footer-menu-left{';
            $indoor_sports_zone_theme_css .='text-align: center;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_copyright_content_alignment == 'Right'){
        $indoor_sports_zone_theme_css .='.footer-menu-left{';
            $indoor_sports_zone_theme_css .='text-align: right;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*---------------------------Width Layout -------------------*/

    $indoor_sports_zone_width_option = get_theme_mod( 'indoor_sports_zone_width_option','Full Width');
    if($indoor_sports_zone_width_option == 'Boxed Width'){
        $indoor_sports_zone_theme_css .='body{';
            $indoor_sports_zone_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
        $indoor_sports_zone_theme_css .='}';
        $indoor_sports_zone_theme_css .='.scrollup i{';
            $indoor_sports_zone_theme_css .='right: 100px;';
        $indoor_sports_zone_theme_css .='}';
        $indoor_sports_zone_theme_css .='.page-template-custom-home-page .home-page-header{';
            $indoor_sports_zone_theme_css .='padding: 0px 40px 0 10px;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_width_option == 'Wide Width'){
        $indoor_sports_zone_theme_css .='body{';
            $indoor_sports_zone_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
        $indoor_sports_zone_theme_css .='}';
        $indoor_sports_zone_theme_css .='.scrollup i{';
            $indoor_sports_zone_theme_css .='right: 30px;';
        $indoor_sports_zone_theme_css .='}';
    }else if($indoor_sports_zone_width_option == 'Full Width'){
        $indoor_sports_zone_theme_css .='body{';
            $indoor_sports_zone_theme_css .='max-width: 100%;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*------------------ Nav Menus -------------------*/

    $indoor_sports_zone_nav_menu = get_theme_mod( 'indoor_sports_zone_nav_menu_text_transform','Capitalize');
    if($indoor_sports_zone_nav_menu == 'Capitalize'){
        $indoor_sports_zone_theme_css .='.main-navigation .menu > li > a{';
            $indoor_sports_zone_theme_css .='text-transform:Capitalize;';
        $indoor_sports_zone_theme_css .='}';
    }
    if($indoor_sports_zone_nav_menu == 'Lowercase'){
        $indoor_sports_zone_theme_css .='.main-navigation .menu > li > a{';
            $indoor_sports_zone_theme_css .='text-transform:Lowercase;';
        $indoor_sports_zone_theme_css .='}';
    }
    if($indoor_sports_zone_nav_menu == 'Uppercase'){
        $indoor_sports_zone_theme_css .='.main-navigation .menu > li > a{';
            $indoor_sports_zone_theme_css .='text-transform:Uppercase;';
        $indoor_sports_zone_theme_css .='}';
    }

    /*-------------------- Global Color -------------------*/

    $indoor_sports_zone_global_color = get_theme_mod('indoor_sports_zone_global_color');

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='#button, .head-btn a, .main-header a.header-btn, a.slider-button.btn, #slider .carousel-control-next:hover .carousel-control-next-icon::before, #slider .carousel-control-prev:hover .carousel-control-prev-icon::before, .ser-content:hover, .sidebar input[type="submit"],.sidebar button[type="submit"], a.btn-text, span.onsale, .pro-button a, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, a.added_to_cart.wc-forward, .woocommerce ul.products li.product .onsale, .woocommerce span.onsale, .woocommerce .woocommerce-ordering select, .woocommerce-account .woocommerce-MyAccount-navigation ul li, .main-navigation .sub-menu, .main-navigation .sub-menu > li > a:hover, .main-navigation .sub-menu > li > a:focus, .post-navigation .nav-previous a:hover, .post-navigation .nav-next a:hover, .posts-navigation .nav-previous a:hover, .posts-navigation .nav-next a:hover, .navigation.pagination .nav-links a.current, .navigation.pagination .nav-links a:hover, .navigation.pagination .nav-links span.current, .navigation.pagination .nav-links span:hover, .comment-respond input#submit, #colophon, .sidebar h5, .sidebar .tagcloud a:hover, p.wp-block-tag-cloud a:hover{';
            $indoor_sports_zone_theme_css .='background-color: '.esc_attr($indoor_sports_zone_global_color).';';
        $indoor_sports_zone_theme_css .='}';
    }

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='.navbar-brand h1.site-title,.navbar-brand a, h6.slider-sub-heading, #slider .carousel-control-next:hover span.slider-next, #slider .carousel-control-prev:hover span.slider-prev, .about-text-box h4.image-heading, .article-box h3 a, p.price, .woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price, .woocommerce-message::before, .woocommerce-info::before, .main-navigation .menu > li > a:hover, .widget a:hover, .widget a:focus, .sidebar ul li a:hover{';
            $indoor_sports_zone_theme_css .='color: '.esc_attr($indoor_sports_zone_global_color).';';
        $indoor_sports_zone_theme_css .='}';
    }

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='.postcat-name{';
            $indoor_sports_zone_theme_css .='color: '.esc_attr($indoor_sports_zone_global_color).' !important;';
        $indoor_sports_zone_theme_css .='}';
    }

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='#slider .slider-indicator.carousel-indicators .active, .post-navigation .nav-previous a:hover, .post-navigation .nav-next a:hover, .posts-navigation .nav-previous a:hover, .posts-navigation .nav-next a:hover, .navigation.pagination .nav-links a.current, .navigation.pagination .nav-links a:hover, .navigation.pagination .nav-links span.current, .navigation.pagination .nav-links span:hover{';
            $indoor_sports_zone_theme_css .='border-color: '.esc_attr($indoor_sports_zone_global_color).' !important;';
        $indoor_sports_zone_theme_css .='}';
    }

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='.woocommerce-message, .woocommerce-info{';
            $indoor_sports_zone_theme_css .='border-top-color: '.esc_attr($indoor_sports_zone_global_color).' !important;';
        $indoor_sports_zone_theme_css .='}';
    }

    if($indoor_sports_zone_global_color != false){
        $indoor_sports_zone_theme_css .='h6.slider-sub-heading, #slider .carousel-control-next:hover .carousel-control-next-icon::after, #slider .carousel-control-prev:hover .carousel-control-prev-icon::after, .about-text-box h4.image-heading{';
            $indoor_sports_zone_theme_css .='border-left-color: '.esc_attr($indoor_sports_zone_global_color).' !important;';
        $indoor_sports_zone_theme_css .='}';
    }